Subject: [dhcwg] Late IPR on draft-ietf-dhc-dhcpv6-radius-opt and draft-ietf-dhc-dhcpv6-prefix-pool-opt

From: "Bernie Volz (volz)" <[email-masked]>
Date: Fri, 19 Apr 2013 13:55:14 +0000

This is a formal notice of an IPR policy violation according to rfC3979, section 6.2.1, by Leaf Y. Yeh, regarding the "RADIUS Option for DHCPv6 Relay Agent" and "Prefix Pool Option for DHCPv6 Relay Agent on the Provider Edge Routers" drafts mentioned in the subject of this message. The working group chairs or AD are responsible for keeping track of IPR policy violations and imposing appropriate sanctions.

The nature of the policy violation is that disclosure of IPR that the author of the drafts believed to cover the drafts was made more than 1 year after the publication of the initial individual submissions. Disclosure of IPR is required of IETF participants, as documented in the Note Well policy, and it is required to be done in a timely manner. Please see the text here:

                http://tools.ietf.org/html/rfc3979#section-6.2

I do not know the full details of the sequence of events, but here is the history from a publication perspective:

For draft-ietf-dhc-dhcpv6-radius-opt:

* Patent applied for November 8, 2011 (from https://datatracker.ietf.org/ipr/2052/)

* draft-yeh-dhc-dhcpv6-authorization-opt-00 published March 5, 2012

* draft-ietf-dhc-dhcpv6-radius-opt-00 published May 7, 2012

* WGLC passed announced February 25, 2013

* IPR 2052 published April 8, 2013

For draft-ietf-dhc-dhcpv6-prefix-pool-opt:

* Patent applied for September 26, 2010 (from https://datatracker.ietf.org/ipr/2051/)

* draft-yeh-dhc-dhcpv6-prefix-pool-opt-00 published April 16, 2011

* draft-ietf-dhc-dhcpv6-prefix-pool-opt-00 published September 10, 2012

* WGLC started March 24, 2013 for 2 weeks, did not pass announced

* IPR 2051 published April 8, 2013

The working group was unaware of the IPR at the time of the WGLC. Thus, a WGLC has been re-issued for draft-ietf-dhc-dhcpv6-radius-opt before it can proceed. As draft-ietf-dhc-dhcpv6-prefix-pool-opt did not pass its WGLC, no action will be taken regarding this document at this time.

RFC6701 requires working group chairs and/or ADs to impose sanctions when IPR policy violations have occurred.   RFC6701 provides a list of potential sanctions up to and including removing authors from drafts and restricting their ability to post on working group mailing lists for periods of time.

The sanction that the chairs and AD have chosen in this case is option d in section 4 of RFC6701, which is to announce what happened on the mailing list. And, we also will re-issue the WGLC for draft-ietf-dhc-dhcpv6-radius-opt.

I would encourage any and all participants in the working group who have any thoughts of acquiring IPR on IETF work that they may be doing, or are aware of patent applications or similar efforts relating to work they are doing, to review BCP79 and RFC6701 to obtain a clear understanding of what is required of you in relation to these efforts.

-          Bernie & Tomek